Subject: Re: [Gen-art] Gen-ART LC review of draft-ietf-isis-wg-extlsp-03.txt

From: Danny McPherson <[email-masked]>
Date: Mon, 10 Nov 2008 22:32:26 -0700

OK, a summary of discussion takeaways is below.  Unless
there are objections, I believe all of these can be
resolved by the RFC Editor actions and would prefer that
over issuing an -04 revision.  Anyone have issues with
this?

If I missed (or mis-captured) any comments please let me
know as well.

Brian and Gen-ART team, thanks much for your diligence
and usual careful review!

-danny

---
Request that this document obsoletes RFC 3786.

-
Expand "Virtual IS" in S4.2.2 to Virtual System with
"(Virtual IS)" following in parentheses.

-
Replace "IS-Alias" in S4.4 text with "IS Alias ID"

-
s/[ISO 10589]/[IS-IS]

-
s/[IS- IS]/[IS-IS]/

-
s/[RFC 2119]/[BCP14]/

-
S 4.4: s/RFC 3784/[RFC 5305]/
S 4.5: s/RFC 3784/[RFC 5305]/

-
S 4.5: s/RFC 4205/[RFC 5307]/

-
Remove reference [BCP9]
Remove reference [BCP26]
Remove reference [BCP79]

-
Update reference with:

   [M-IS-IS] Pryzgienda, T., Shen, N., and Sheth, N., "Multi Topology
   (MT) Routing in IS-IS", RC 5120, February 2008.

-
Replace:

   [RFC 3784] Smit, H. and T. Li, "Intermediate System to Intermediate
   System (IS-IS) Extensions for Traffic Engineering (TE)", RFC 3784,
   June 2004.

With:

   [RFC 5305] Smit, H. and T. Li, "IS-IS Extensions for Traffic
   Engineering", RFC 5305, October 2008.

-
Replace:

   [RFC 4205] Kompella, K. and Rehkter, Y., "Intermediate System to
   Intermediate System (IS-IS) Extensions in Support of Generalized
   Multi-Protocol Label Switching (GMPLS)", RFC 4205, October 2005.

With:

   [RFC 5307] Kompella, K. and Rehkter, Y., "IS-IS Extensions in
   Support of Generalized Multi-Protocol Label Switching (GMPLS)",
   RFC 5307, October 2008.

-
Move from Normative to Informative Reference:

   [RFC 3786] Hermelin, A., Previdi, S. and Shand, M., "Extending the
   Number of Intermediate to Intermediate (IS-IS) Link State PDU (LSP)
   Fragments Beyond the 256 Limit," RFC 3786, May 2004.

_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art

---

From: "Ross Callon" <[email-masked]>
Date: Tue, 11 Nov 2008 11:42:15 -0500

I agree that these changes are all minor enough that any one of these
could be handled by an RFC editor's note. The issue that I have is that
there are a lot of them, and this document hasn't gone in front of the
IESG yet. Thus there are very likely to be additional updates needed to
deal with in order to resolve IESG comments. It gets quite confusing to
keep a long RFC editor's note up to date while making additional changes
to the document. 

Thus I think that it would be less confusing to update the document with
these changes, and then I can put the document on the IESG agenda soon
after the IETF meeting. 

Thanks, Ross

-----Original Message-----
From: Danny McPherson [mailto:[email-masked]] 
Sent: 11 November 2008 00:32
To: Brian E Carpenter; Les Ginsberg (ginsberg)
Cc: General Area Review Team; Ross Callon;
[email-masked]; [email-masked]
Subject: Re: Gen-ART LC review of draft-ietf-isis-wg-extlsp-03.txt

-danny

---

-

-

-
s/[ISO 10589]/[IS-IS]

-
s/[IS- IS]/[IS-IS]/

-
s/[RFC 2119]/[BCP14]/

-

-

-
Remove reference [BCP9]
Remove reference [BCP26]
Remove reference [BCP79]

-
Update reference with:

-
Replace:

With:

-
Replace:

With:

-

---

From: Danny McPherson <[email-masked]>
Date: Tue, 11 Nov 2008 09:48:41 -0700

> these changes, and then I can put the document on the IESG agenda soon

But most (all but 2) are just reference updates (because of
IS-IS work).  I can submit an update, but seems gratuitous
to me.

-danny

---

From: Danny McPherson <[email-masked]>
Date: Tue, 18 Nov 2008 12:38:55 -0700

> IS-IS work).  I can submit an update, but seems gratuitous

Update fixing nits submitted today -04.

Only thing not specified is the request that this
document obsoletes RFC 3786.

Let me know if any other changes or updates are required.

-danny